Subject: bug#40687: Missing right border on composed text used in 'display property

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Apr 2020 09:43:40 +0300

> Cc: [email-masked]
> From: Clément Pit-Claudel <[email-masked]>
> Date: Thu, 23 Apr 2020 16:25:18 -0400
> 
> On 23/04/2020 16.07, Stephen Berman wrote:
> > On Thu, 23 Apr 2020 18:48:09 +0300 Eli Zaretskii <[email-masked]> wrote:
> >> Thanks, should be fixed now.
> >>
> > I'm on GNU/Linux and confirm that with your patch all the buttons
> > produced by your recipe display correctly, i.e., with the right border.
> 
> Same here, on GNU/Linux + X as well.  Everything looks great.  Thanks a lot!

Great, thanks.

> > Note that what appears
> > below to be LATIN SMALL LETTER A WITH ACUTE is not a single character,
> > but 2 characters that are composed into a single glyph.
> 
> I think I must have a configuration issue somewhere.  In Emacs, the accent is drawn next to the a (on the right side of it), inside the button (I have attached a screenshot)
> This isn't a new problem, and it's not due to borders (the code of the repro has the same display issue, and my Emacs always behaved like this, I think), but maybe it's worth a separate bug report?

I don't think it's a bug.  It's likely just an issue with the font(s)
you are using If you insert this pair of codepoints in a buffer, can
you move point between them with C-f and C-b?  If you can, it means
they are not composed for some reason, perhaps the font you are using
doesn't have a glyph for the acute accent, so Emacs uses a different
font for it, and thus is unable to compose.  Try a different font.